togajs togajs

toga

20 7 0

Clothe your code.

You have 2 open security alerts

Dependencies

Package Locked Requirement Latest Status Changelog
There is no runtime dependency.
Package Locked Requirement Latest Status Changelog
Npms babel-cli 6.26.0 ^6.26.0 6.26.0

babel-cli version 6.26.0

Babel command line.

This dependency is up-to-date. Congrats and keep going!

Npms babel-eslint 8.0.1 ^8.0.1 8.0.2

babel-eslint version 8.0.1

Custom parser for ESLint

This dependency is up-to-date. Congrats and keep going!

Npms babel-plugin-transform-object-rest-spread 6.26.0 ^6.26.0 6.26.0

babel-plugin-transform-object-rest-spread version 6.26.0

Compile object rest and spread to ES5

This dependency is up-to-date. Congrats and keep going!

Npms babel-polyfill 6.26.0 ^6.26.0 6.26.0

babel-polyfill version 6.26.0

Provides polyfills necessary for a full ES2015+ environment

This dependency is up-to-date. Congrats and keep going!

Npms babel-preset-env 1.6.1 ^1.6.1 1.6.1

babel-preset-env version 1.6.1

A Babel preset for each environment.

This dependency is up-to-date. Congrats and keep going!

Npms babel-register 6.26.0 ^6.26.0 6.26.0

babel-register version 6.26.0

babel require hook

This dependency is up-to-date. Congrats and keep going!

Npms benchmark 2.1.4 ^2.1.4 2.1.4

benchmark version 2.1.4

A benchmarking library that supports high-resolution timers & returns statistically significant results.

This dependency is up-to-date. Congrats and keep going!

Npms blue-tape 1.0.0 ^1.0.0 1.0.0

blue-tape version 1.0.0

Tape test runner with promise support

This dependency is up-to-date. Congrats and keep going!

Npms child-process-promise 2.2.1 ^2.2.1 2.2.1

child-process-promise version 2.2.1

Simple wrapper around the "child_process" module that makes use of promises

This dependency is up-to-date. Congrats and keep going!

Npms coveralls 3.0.0 ^3.0.0 3.0.0

coveralls version 3.0.0

takes json-cov output into stdin and POSTs to coveralls.io

This dependency is up-to-date. Congrats and keep going!

Npms del-cli 1.1.0 ^1.1.0 1.1.0

del-cli version 1.1.0

Delete files and directories - Cross-platform

This dependency is up-to-date. Congrats and keep going!

Npms doc-tree 0.12.2 ^0.12.2 0.12.2

doc-tree version 0.12.2

Documentation generating tool for JavaScript that matches comments to AST nodes.

This dependency is up-to-date. Congrats and keep going!

Npms eslint 4.9.0 ^4.9.0 4.11.0

eslint version 4.9.0

An AST-based pattern checker for JavaScript.

This dependency is not matching latest version. Please consider upgrading.

Npms eslint-config-prettier 2.6.0 ^2.6.0 2.7.0

eslint-config-prettier version 2.6.0

Turns off all rules that are unnecessary or might conflict with Prettier.

This dependency is not matching latest version. Please consider upgrading.

Npms eslint-config-whim 3.0.0 ^3.0.0 3.0.0

eslint-config-whim version 3.0.0

A protean JavaScript lint configuration based on my mercurial preferences.

This dependency is up-to-date. Congrats and keep going!

Npms fs-extra 4.0.2 ^4.0.2 4.0.2

fs-extra version 4.0.2

fs-extra contains methods that aren't included in the vanilla Node.js fs package. Such as mkdir -p, cp -r, and rm -rf.

This dependency is up-to-date. Congrats and keep going!

Npms highlight.js 9.12.0 ^9.12.0 9.12.0

highlight.js version 9.12.0

Syntax highlighting with language autodetection.

This dependency is up-to-date. Congrats and keep going!

Npms husky 0.14.3 ^0.14.3 0.14.3

husky version 0.14.3

Prevents bad commit or push (git hooks, pre-commit/precommit, pre-push/prepush, post-merge/postmerge and all that stuff...)

This dependency is up-to-date. Congrats and keep going!

Npms lerna 2.4.0 ^2.4.0 2.5.1

lerna version 2.4.0

Tool for managing JavaScript projects with multiple packages

This dependency is not matching latest version. Please consider upgrading.

Npms npm-run-all 4.1.1 ^4.1.1 4.1.2

npm-run-all version 4.1.1

A CLI tool to run multiple npm-scripts in parallel or sequential.

This dependency is not matching latest version. Please consider upgrading.

Npms nyc 11.2.1 ^11.2.1 11.3.0

nyc version 11.2.1

the Istanbul command line interface

This dependency is up-to-date. Congrats and keep going!

Npms prettier 1.7.4 ^1.7.4 1.8.2

prettier version 1.7.4

Prettier is an opinionated code formatter

This dependency is not matching latest version. Please consider upgrading.

Npms spiff 4.0.0 ^4.0.0 4.0.0

spiff version 4.0.0

Promise-aware file-system adapter and transmogrifier.

This dependency is up-to-date. Congrats and keep going!

Npms stylelint 8.2.0 ^8.2.0 8.2.0

stylelint version 8.2.0

A mighty, modern CSS linter.

This dependency is up-to-date. Congrats and keep going!

Npms stylelint-config-prettier 1.0.2 ^1.0.2 2.0.0

stylelint-config-prettier version 1.0.2

Turns off all rules that are unnecessary or might conflict with Prettier.

This dependency is not matching latest version. Please consider upgrading.

Npms stylelint-config-whim 2.0.0 ^2.0.0 3.0.0

stylelint-config-whim version 2.0.0

A protean CSS lint configuration based on my mercurial preferences.

This dependency is not matching latest version. Please consider upgrading.

Npms tap-diff 0.1.1 ^0.1.1 0.1.1

tap-diff version 0.1.1

The most human-friendly TAP reporter

This dependency is up-to-date. Congrats and keep going!